summaryrefslogtreecommitdiffstats
path: root/source/l/json-c
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/json-c
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/json-c')
-rwxr-xr-xsource/l/json-c/json-c.SlackBuild29
-rw-r--r--source/l/json-c/slack-desc12
-rw-r--r--source/l/json-c/unset-vars-build-fix.diff16
3 files changed, 23 insertions, 34 deletions
diff --git a/source/l/json-c/json-c.SlackBuild b/source/l/json-c/json-c.SlackBuild
index 528e4a0c0..7099a59c5 100755
--- a/source/l/json-c/json-c.SlackBuild
+++ b/source/l/json-c/json-c.SlackBuild
@@ -3,6 +3,7 @@
# Slackware build script for json-c
# Copyright 2015 Robby Workman, Tuscaloosa, Alabama, USA
+# Copyright 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,8 +23,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=json-c
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -f 3- -d - | rev | cut -f 3- -d . | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -38,9 +41,16 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -62,7 +72,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
@@ -71,14 +81,6 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Either of these approaches will solve the set but unused variable issue
-# Pick one :-)
-# Drop -Werror
-#sed -i 's|-Werror ||g' Makefile.am.inc
-zcat $CWD/unset-vars-build-fix.diff.gz | patch -p1 || exit 1
-
-autoreconf -vif
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -94,6 +96,9 @@ CXXFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -114,4 +119,4 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
diff --git a/source/l/json-c/slack-desc b/source/l/json-c/slack-desc
index e499dff41..819b4bd79 100644
--- a/source/l/json-c/slack-desc
+++ b/source/l/json-c/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
json-c: json-c (JSON library in C)
json-c:
-json-c: json-c implements a reference counting object model that allows you
-json-c: to easily construct JSON objects in C.
-json-c:
-json-c: Homepage: https://github.com/json-c/json-c
-json-c:
-json-c:
+json-c: JSON-C implements a reference counting object model that allows you to
+json-c: easily construct JSON (JavaScript Object Notation) objects in C,
+json-c: output them as JSON formatted strings and parse JSON formatted strings
+json-c: back into the C representation of JSON objects. It aims to conform to
+json-c: RFC 7159.
json-c:
+json-c: Homepage: https://github.com/json-c/json-c
json-c:
json-c:
diff --git a/source/l/json-c/unset-vars-build-fix.diff b/source/l/json-c/unset-vars-build-fix.diff
deleted file mode 100644
index cd36453c0..000000000
--- a/source/l/json-c/unset-vars-build-fix.diff
+++ /dev/null
@@ -1,16 +0,0 @@
-diff -Nur json-c-0.12.orig/json_tokener.c json-c-0.12/json_tokener.c
---- json-c-0.12.orig/json_tokener.c 2014-04-10 19:41:08.000000000 -0500
-+++ json-c-0.12/json_tokener.c 2015-12-27 01:37:06.564722759 -0600
-@@ -352,12 +352,10 @@
-
- case json_tokener_state_inf: /* aka starts with 'i' */
- {
-- int size;
- int size_inf;
- int is_negative = 0;
-
- printbuf_memappend_fast(tok->pb, &c, 1);
-- size = json_min(tok->st_pos+1, json_null_str_len);
- size_inf = json_min(tok->st_pos+1, json_inf_str_len);
- char *infbuf = tok->pb->buf;
- if (*infbuf == '-')